#include "../aoc2022.h"

template <typename Output>
struct SDay01 : public SDay<Output> {
	//Class constructor
	using SDay<Output>::SDay;

	//Solutions to both days
	Output part1() const override final { 
	
		std::string line{""};
		int currentElf{0}, maxElf{0};

		while (std::getline(this->input, line))
		{
			if (line == "")
			{//Break to a new elf
				if (currentElf > maxElf)
					maxElf = currentElf;
				currentElf = 0;
				continue;
			}
			//Add the new line to the current elf
			currentElf += std::stoi(line);
		}
		return maxElf;
	}
	Output part2() const override final { return Output(); }
};
